Page MenuHomePhabricator

Can't load In Progress or Published translation list
Closed, ResolvedPublic

Description

Console:

Uncaught TypeError: str.replace is not a function

Further, Language selector on In progress and Published tab is not working with following,

Uncaught TypeError: Cannot read property 'hide' of undefined

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 2:55 PM

This seems affected wmf1 branch as of now.

Trace 1:

Uncaught TypeError: str.replace is not a function

mw.RegExp.escape @ mediawiki.RegExp.js?4e552:19
moment.locale.postformat @ moment-locale-overrides.js?12e64:45
extend.humanize @ moment.js?a3c5c:2741
extend.from @ moment.js?a3c5c:2260
extend.fromNow @ moment.js?a3c5c:2264
CXTranslationList.renderTranslations @ ext.cx.translationlist.js?c3e42:258
(anonymous function) @ ext.cx.translationlist.js?c3e42:105
fire @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3148
self.fireWith @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3260
(anonymous function) @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3312
fire @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3148
self.fireWith @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3260
deferred.(anonymous function) @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3350
(anonymous function) @ api.js?10e9f:256fire @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3148
self.fireWith @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:3260
done @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:9314
callback @ load.php?debug=true&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=m7F5ikBY:9718

Could be related to interface language. Recent change in this area is https://gerrit.wikimedia.org/r/289132.

@Nikerabbit That's the case. Tested cawiki with Gujarati interface and I can reproduce there.

matmarex edited subscribers, added: Catrope; removed: matmarex.May 19 2016, 3:22 PM

If anything, I'd look at that change's predecessor, https://gerrit.wikimedia.org/r/#/c/281198/.

Amire80 triaged this task as High priority.May 19 2016, 4:42 PM

Huh? How frequent is this? Sounds pretty bad.

Amire80 moved this task from Needs Triage to CX9 on the ContentTranslation board.May 19 2016, 4:42 PM

@Amire80 Always for certain interface languages if you have done any translations.

OK, moving to Upstream. Please correct me if I'm wrong.

Amire80 moved this task from CX9 to Upstream on the ContentTranslation board.May 19 2016, 4:49 PM

Change 291889 had a related patch set uploaded (by Santhosh):
Avoid passing integers to mw.RegExp.escape

https://gerrit.wikimedia.org/r/291889

Change 291889 merged by jenkins-bot:
Avoid passing integers to mw.RegExp.escape

https://gerrit.wikimedia.org/r/291889

santhosh moved this task from Backlog to QA on the Language-Q4-2016-Sprint 4 board.Jun 1 2016, 4:58 AM

Change 292086 had a related patch set uploaded (by KartikMistry):
Avoid passing integers to mw.RegExp.escape

https://gerrit.wikimedia.org/r/292086

Change 292087 had a related patch set uploaded (by KartikMistry):
Avoid passing integers to mw.RegExp.escape

https://gerrit.wikimedia.org/r/292087

Change 292086 abandoned by KartikMistry:
Avoid passing integers to mw.RegExp.escape

Reason:
Backport to wmf4 is good enough, no need to backport to wmf3.

https://gerrit.wikimedia.org/r/292086

Change 292087 merged by jenkins-bot:
Avoid passing integers to mw.RegExp.escape

https://gerrit.wikimedia.org/r/292087

testwiki seems fine (wmf4).

santhosh moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 2 2016, 3:48 AM
matmarex closed this task as Resolved.

Thanks for fixing this! It apparently also affected VisualEditor and UploadWizard, but you folks noticed it first ;)